package com.fzm.mall.server.front.goods.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品统计信息表
 * </p>
 *
 * @author fzm
 * @since 2021-03-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_count")
@ApiModel(value="Count对象", description="商品统计信息表")
public class Count implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商品编号")
    private String gid;

    @ApiModelProperty(value = "商品销量")
    private Integer sales;

    @ApiModelProperty(value = "商品收藏数")
    private Integer collect;

    @ApiModelProperty(value = "商品浏览次数")
    private Integer view;

    @ApiModelProperty(value = "商品点赞次数")
    private Integer zan;

    @ApiModelProperty(value = "好评数")
    private Integer praise;

    @ApiModelProperty(value = "评论数")
    private Integer comment;

    @ApiModelProperty(value = "人气值")
    private BigDecimal popular;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
