package com.fzm.mall.server.front.goods.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品规格表
 * </p>
 *
 * @author fzm
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_sku")
@ApiModel(value="Sku对象", description="商品规格表")
public class Sku implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "规格编号")
    private String skuId;

    @ApiModelProperty(value = "原价")
    private BigDecimal originalPrice;

    @ApiModelProperty(value = "现价 / 促销价")
    private BigDecimal price;

    @ApiModelProperty(value = "库存")
    private Long stock;

    @ApiModelProperty(value = "发行量")
    private Long circulation;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "商品货币名称")
    private String coinName;

    @ApiModelProperty(value = "规格缩略图")
    private String thumb;

    @ApiModelProperty(value = "规格图片列表")
    private String imgList;

    @ApiModelProperty(value = "状态 0: 删除  1: 有效  2: 发行失败")
    private Integer status;

    @ApiModelProperty(value = "发行错误信息")
    private String errMsg;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
