package com.fzm.mall.server.front.order.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户提货表
 * </p>
 *
 * @author fzm
 * @since 2021-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_delivery")
@ApiModel(value="Delivery对象", description="用户提货表")
public class Delivery implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "提货订单编号")
    private String orderDeliveryId;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "卖家编号")
    private String merchantId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "具体商品编号")
    private String skuId;

    @ApiModelProperty(value = "物流详情")
    private  String expressDetail;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "币种名称")
    private String coin;

    @ApiModelProperty(value = "数量")
    private Integer number;

    @ApiModelProperty(value = "收货人名称")
    private String uname;

    @ApiModelProperty(value = "收人手机号")
    private String phone;

    @ApiModelProperty(value = "收货地址")
    private String address;

    @ApiModelProperty(value = "提货备注")
    private String note;

    @ApiModelProperty(value = "提货状态，0->待发货，1->已发货，2->已收货，3->已撤销，4->待退货，5->已退货，6->交易结束")
    private Integer deliveryState;

    @ApiModelProperty(value = "快递公司缩写")
    private String expressType;

    @ApiModelProperty(value = "快递单号")
    private String expressNo;

    @ApiModelProperty(value = "发货时间")
    private Long deliveryTime;

    @ApiModelProperty(value = "完成时间")
    private Long finishTime;

    @ApiModelProperty(value = "是否删除，0->否，1->是")
    private Integer isDelete;

    @ApiModelProperty(value = "买家评价状态，0->未评价，1->已评价，2->已追评")
    private Integer buyerState;

    @ApiModelProperty(value = "卖家评价状态，0->未评价，1->已评价")
    private Integer sellerState;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "邮费")
    private BigDecimal postFee;

}
